AMD has released the latest version of its Catalyst graphics driver package for 32-bit and 64-bit versions of Windows XP, Vista, and 7. This version of the drivers introduces support for the Radeon HD 7800 series under Windows Vista and 7 - the 7700 and 7900 series cards were added in the last release, meaning that the Catalyst drivers now support the complete lineup of 7000-series cards. Windows XP support for these cards is slated to be introduced next month in Catalyst 12.4.

The new drivers also fix issues in a number of games, including a texture corruption bug in Skyrim that some of you mentioned was a problem with the 12.2 drivers. Other resolved issues include bugfixes in games like HAWX, Quake 4, XPlane, Alan Wake, and Far Cry 2, a crashing bug in the Furmark benchmark, and startup issues with the Catalyst Control Center.

The drivers support all Radeon HD 2000, 3000, 4000, 5000, 6000, and 7000 series graphics cards, IGPs, and APUs except where otherwise noted in the release notes, which are linked below. Support for the mobile versions of these cards is provided only to Windows Vista and 7 users.

Source: AMD

POST A COMMENT

25 Comments

View All Comments

  • terabaSe - Friday, March 30, 2012 - link

    More likely p*ssed off because the 680 came out and just totally owned it. I'm glad I waited of course as the 7970 was just a touch too much.
    Still got two flashed 6950's in my rig - the 7970 was on the cards but it looks like it's over to the green corner again.
    If it's any consolation CeriseCogburn we've all been there. Get latest super expensive generation only for it to become a door stop after 2 weeks.
    It's all in the mind - the 7970 is still a blazing fast card and will be for some time...
    Reply
  • cptnjarhead - Friday, March 30, 2012 - link

    Downloaded last night. will install tonight.
    Had to roll back from 12.2 because of the graphic glitch in skyrim.
    I just thought it was my 5870 until i did a little searching.
    I think my next card will be an Nvida, not because of these drivers, just havent had an nvida card since i bought my 9800 AIW years ago. Been with ATI/AMD since then.
    Not going to buy a new GPU until the after new consoles come out, or DX12.
    Reply
  • bl3 - Friday, March 30, 2012 - link

    So having just purchased a 7850 and trying to install it on Windows XP I can't use it because it isn't detected/supported... yet the manufacturer (Sapphire) suggests otherwise?! Reply
  • silverblue - Friday, March 30, 2012 - link

    "Windows XP support for these cards is slated to be introduced next month in Catalyst 12.4." Reply
  • bl3 - Friday, March 30, 2012 - link

    So how can the manufacturer lie and sell us a card that won't work? Reply
  • arthur449 - Friday, March 30, 2012 - link

    That sounds like a problem you need to take up with Sapphire or the vendor you purchased the card from, not the comments section of Anandtech. Reply
  • Alexvrb - Friday, March 30, 2012 - link

    Are you a troll? Are you using 32-bit XP? Do you realize how badly that gimps your max memory if you're using a 2GB graphics card? Not to mention WinXP doesn't even support DX11, and it's slower than Win7, especially for gaming. Benchmarks prove it.

    If you're willing to drop the cash on a 7850, do yourself a favor and get Win7. I don't care if you get an upgrade copy or OEM copy, you can still do a clean install. It'll be the best upgrade you can do for your system performance, well maybe aside from an SSD - which Win7 supports better anyway.
    Reply
  • bl3 - Saturday, March 31, 2012 - link

    Not a troll, thanks.

    Just annoyed I'm being forced to upgrade!
    Reply
  • Alexvrb - Saturday, March 31, 2012 - link

    Did they force you to stick a new graphics card in a machine with an ancient OS too? You could just keep DOS forever, I mean why upgrade? I mean seriously, Win8 is just around the corner, you'll be 3 generations behind. With a 2GB card installed you'll be lucky to be able to use ~2GB of your main RAM to go with it.

    Not to mention that they said that they WILL support XP - they're just not in a rush. I can't blame them.
    Reply
  • bl3 - Monday, April 02, 2012 - link

    Ok, thanks for your help Mr Negative.

    This isn't an argument about how good/bad/out of date an OS is, this is about selling a product purporting to support said OS when in fact it doesn't.

    I've noticed it across the board, it's not just Sapphire.
    Reply

Log in

Don't have an account? Sign up now